Subject: Re: qt3-tools build failure
To: Mark Davies <>
From: Simon Burge <>
List: tech-pkg
Date: 09/19/2003 12:11:15
Hi Mark,

On Fri, Sep 19, 2003 at 10:28:25AM +1200, Mark Davies wrote:
> 	From:  Simon Burge <>
> 	Date:  Fri, 19 Sep 2003 00:18:38 +1000
> revision 1.14
> date: 2003/08/31 19:19:12;  author: wiz;  state: Exp;  lines: +6 -12
> Update to 2.2.1.
> Lots more documentation installed, fontconfig-config replaced
> with pkgconfig file.
> 	[...]
> Maybe these packages need / were using  fontconfig-config to add the relevant 
> bit to the link commands.  It certainly looks like the Xft2 configure wants to 
> use fontconfig-config.   Actually the problem is likely to be that although 
> fontconfig has been updated to the 2.2.1 version of fcpackage, Xft2 is still 
> using the 2.1 version.  Looks like Xft2 needs an update.

I saw that last night.  I started off a build with the output of
"pkg-config fontconfig --libs" manually wedged into the Xft2
makefile and this this morning I have working packages that
depend on Xft2.  I also changed the install to use INSTALL_DATA
instead of INSTALL_PROGRAM so the library wasn't stripped.

However, adding

  CONFIGURE_ARGS+=--with-fontconfig-config='pkg-config fontconfig --libs'

to the Makefile doesn't work :(  Should I try to figure that out
further, or just change ./configure to use pkg-config directly?

Simon Burge                                   <>
NetBSD Development, Support and Service: